package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaOperationLogMapper;
import com.huiju.welcome.model.TaOperationLog;
import com.huiju.welcome.service.ITaOperationLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaOperationLogServiceImpl extends ServiceImpl<TaOperationLogMapper, TaOperationLog> implements ITaOperationLogService {
    @Autowired
    TaOperationLogMapper taOperationLogMapper;

    @Override
    public int create(String operator, String source, String optType, String entity, String srcId, String content) {
        if (null == content || "".equals(content.trim())) return 0;

        if (null == optType || "".equals(optType.trim())) optType = "新增";

        TaOperationLog taOperationLog = new TaOperationLog();
        taOperationLog.setContent(content);
        taOperationLog.setCreateDate(LocalDateTime.now());
        taOperationLog.setEntity(entity);
        taOperationLog.setOperator(operator);
        taOperationLog.setSource(source);
        taOperationLog.setSrcId(srcId);
        taOperationLog.setOptType(optType);

        return taOperationLogMapper.insert(taOperationLog);
    }
}
